from typing import TypeAlias

from pydantic import BaseModel


class DoorSaved(BaseModel):
    # Tag, an dem die Tür aufgeht
    day: int

    # Koordinaten für zwei Eckpunkte
    x1: int
    y1: int
    x2: int
    y2: int


DoorsSaved: TypeAlias = list[DoorSaved]


class CalendarConfig(BaseModel):
    # Dateiname Hintergrundbild
    background: str = "adventskalender.jpg"

    # Türen für die UI
    doors: DoorsSaved = []
