from pydantic import BaseModel


class User(BaseModel):
    name: str
    password: str


class Server(BaseModel):
    # Dateiname Schriftart
    font: str

    # Monat, während dem der Kalender läuft
    # TODO penner
    month: int = 12

    # Alle Türen bleiben noch so viele Monate offen
    # TODO penner
    keep_open: int = 3


class Puzzle(BaseModel):
    # Lösungswort
    solution: str

    # Länge des Kalenders
    # TODO penner
    days: int = 24

    # Kalenderdefinition
    calendar: str = "default.toml"

    # Serverseitiger zusätzlicher "random" seed
    random_pepper: str = ""


class Config(BaseModel):
    admin: User
    server: Server
    puzzle: Puzzle
